<beanio xmlns="http://www.beanio.org/2012/03">

    <stream name="altreRadioShow" format="fixedlength">
        <record name="header" class="map" maxOccurs="1">
            <field name="recordType" rid="true" literal="RRA" at="0" length="3"/>
        </record>

        <record name="record" class="map">
            <field name="recordType"            at="0"      length="3"      rid="true" literal="RRN"/>
            <field name="codEmittente"			at="3"      length="2"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="codNumerico"           at="5"      length="2"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="abbrRete"              at="7"      length="10"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="dataEmissione"         at="17"     length="8"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="orarioEmissione"       at="25"     length="6"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="progressivoOpera"      at="33"     length="6"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="normaleIntegrativo"    at="39"     length="1"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="codTipoProgramma"      at="40"     length="2"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="titoloOpera"           at="42"     length="30"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="cognomeCompositore"    at="72"     length="25"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="nomeCompositore"       at="97"     length="15"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="cognomeElaboratore"    at="112"     length="25"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="nomeElaboratore"       at="137"     length="15"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="cognomeCompositore2"   at="152"     length="25"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="nomeCompositore2"      at="177"     length="15"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="durata"                at="192"     length="5"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="categoriaUso"          at="198"     length="1"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="tipoGenerazioneMusica" at="199"     length="2"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="iswc"                  at="201"     length="11"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="isrc"                  at="212"     length="12"      minOccurs="0" maxOccurs="1"	trim="true"/>
            <field name="esecutore"             at="224"     length="68"      minOccurs="0" maxOccurs="1"	trim="true"/>
        </record>

        <record name="footer" class="map" maxOccurs="1">
            <field name="recordType" rid="true" literal="RRZ" at="0" length="3"/>
        </record>
    </stream>
</beanio>